/*
  Name: PictureReader.h
  Authors: Vlastimil Hopjan, hop007, hopjan@luvasoft.com
           David Pilar,      pil032, pilar.david@seznam.cz
		   Jiri Sovadina,    sov015, ji.so@post.cz
		   Marek Vojtek,     voj086, old-shatterhand@email.cz
  Date: 1.2.2004
  Description: Hlavickovy soubor pro tridu pro nacitani obrazku ze souboru (PictureReader).
*/

#ifndef __PictureReader_h

#define __PictureReader_h

#include "Matrix.h"

/** Trida PictureReader je implementaci nacitani obrazku ze souboru.
  * @version 1.2.2004
 */
class PictureReader {

public:
	PictureReader(); // Konstruktor tridy PictureReader.
	~PictureReader(); // Destruktor tridy PictureReader.
	Matrix* readPictureFromFile(char * fileName); // Metoda, ktera nacte obrazek ze souboru, ulozi jej do matice a vrati ukazetel na matici.
};

#endif // __PictureReader_h
