/*
  Name: main.cpp
  Authors: Vlastimil Hopjan, hop007, hopjan@luvasoft.com
           David Pilar,      pil032, pilar.david@seznam.cz
		   Jiri Sovadina,    sov015, ji.so@post.cz
		   Marek Vojtek,     voj086, old-shatterhand@email.cz
  Date: 1.2.2004
  Description: Soubor pro spusteni celeho programu rozpoznavani obliceju.
*/

#include <iostream>
#include <string>

#include "UserInterface.h"

using namespace std;

/** Metoda pro spusteni programu.
  * @version 1.2.2004
  *
  * @acces public
  * @param argc -> pocet argumentu prikazove radky
  * @param *argv[] -> argumenty prikazove radky
  * @return int -> navratova hodnota programu
 */
int main(int argc, char *argv[]) {
	
 	UserInterface ui(argc, argv);

 	ui.execute();

    return 0;
}
